import React from 'react';
import { Breadcrumbs } from './Breadcrumbs';
export interface NamedBreadcrumb {
    path: string;
    name?: string;
}
export interface BreadcrumbsContextType {
    breadcrumbs: Breadcrumbs;
    addBreadcrumb: (breadcrumb: NamedBreadcrumb) => void;
    deleteBreadcrumb: (path: string) => void;
    truncateBreadcrumbs: (path: string) => void;
    resetBreadcrumbs: (data: NamedBreadcrumb[]) => void;
}
export declare const BreadcrumbsContext: React.Context<BreadcrumbsContextType>;
export declare const useBreadcrumbs: () => BreadcrumbsContextType;
export declare const BreadcrumbsProvider: ({ children }: {
    children: React.ReactNode;
}) => JSX.Element;
